<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.meeting.mapper.MeetingDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.meeting.domain.MeetingDevice">
        <id column="device_id" property="deviceId" />
        <result column="device_name" property="deviceName" />
        <result column="storage_id" property="storageId" />
        <result column="img_path" property="imgPath" />
        <result column="nameplate" property="nameplate" />
        <result column="room_id" property="roomId" />
        <result column="register_date" property="registerDate" />
        <result column="maintainer" property="maintainer" />
        <result column="contacts" property="contacts" />
        <result column="remark" property="remark" />
        <result column="create_by" property="createBy" />
        <result column="update_by" property="updateBy" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
